Organization settings

Get Employee Dashboard Bff

Builds the employee stablecoin-payroll dashboard: wallets, allocations, payment history, monthly token breakdown, embedded-wallet balance.

GEThttps://api.toku.com/hris/get-employee-dashboard-bff

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-employee-dashboard-bff' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "name": "string",
  "tokenCompensation": [
    {
      "id": "string",
      "network": "string",
      "networkSymbol": "string",
      "networkIcon": "string",
      "tokenSymbol": "string",
      "tokenIcon": "string",
      "value": "string"
    }
  ],
  "resumeBoard": {
    "recentPayment": "string",
    "recentPayPeriod": "string",
    "tokenAmountUSD": "string",
    "tokenType": "string"
  },
  "hasReceivedPayments": true,
  "hasVerifiedWallet": true,
  "hasAllocation": true,
  "currentStep": "NOT_STARTED",
  "haveMultipleWallets": true,
  "paymentsList": [
    {
      "id": "string",
      "date": "string",
      "type": "string",
      "tokenIcon": "string",
      "amount": 0,
      "status": "string",
      "fiatAmount": "string",
      "fiatCurrency": "string",
      "exchangeRate": "string"
    }
  ],
  "tokenBreakdownChart": [
    {}
  ],
  "tokuWalletStatus": {
    "privyWalletID": "string",
    "roleInOrgID": "string",
    "walletID": "string",
    "privyDID": "string",
    "createdWithEmail": "string",
    "createdAt": "string",
    "updatedAt": "string"
  },
  "walletTokenBalance": {
    "walletAddress": "string",
    "tokenAddress": "string",
    "balance": "string",
    "formattedBalance": "string",
    "decimals": 0,
    "tokenName": "string",
    "tokenSymbol": "string",
    "tokenIconUrl": "string",
    "networkName": "string",
    "networkChainId": 0,
    "networkIconUrl": "string",
    "blockExplorerBaseUrl": "string",
    "networkAppUrl": "string",
    "lastUpdated": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
namestringrequired
tokenCompensationobject[]required
Show child attributes
idstringrequired
networkstringrequired
networkSymbolstringrequired
networkIconstring
tokenSymbolstringrequired
tokenIconstring
valuestringrequired
resumeBoardobjectrequired
Show child attributes
recentPaymentstring | nullrequired
recentPayPeriodstring | nullrequired
tokenAmountUSDstring | nullrequired
tokenTypestring | nullrequired
hasReceivedPaymentsbooleanrequired
hasVerifiedWalletbooleanrequired
hasAllocationbooleanrequired
currentStepstringrequired

Available options: NOT_STARTED, WALLET_PENDING, WALLET_VERIFIED_NO_ALLOCATION, ALLOCATION_COMPLETE

haveMultipleWalletsbooleanrequired
paymentsListobject[]required
Show child attributes
idstringrequired
datestringrequired
typestringrequired
tokenIconstring | nullrequired
amountnumberrequired
statusstringrequired
fiatAmountstringrequired
fiatCurrencystringrequired
exchangeRatestringrequired
tokenBreakdownChartobject[]required
tokuWalletStatusobject | nullrequired
Show child attributes
privyWalletIDstringrequired
roleInOrgIDstringrequired
walletIDstringrequired
privyDIDstringrequired
createdWithEmailstringrequired
createdAtstringrequired
updatedAtstringrequired
walletTokenBalanceobject | nullrequired
Show child attributes
walletAddressstringrequired
tokenAddressstring
balancestringrequired
formattedBalancestringrequired
decimalsnumberrequired
tokenNamestringrequired
tokenSymbolstringrequired
tokenIconUrlstring
networkNamestringrequired
networkChainIdnumber
networkIconUrlstring
blockExplorerBaseUrlstring
networkAppUrlstring
lastUpdatedstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits